Skip to navigation

Get Fieldset by ID

Get a single Fieldset by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fieldset_idstringRequired
ID of the Fieldset.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
Reason the Fieldset was archived
archivedbooleanOptional
If the Fieldset is archived
availableRegistrationNamingOptionslist of enumsOptional
The registration naming strategies available for entities of implementing schemas. Determines how entities are named when registered.
constraintobject or nullOptional
Uniqueness constraint configuration for registered entities of schemas that implement this fieldset. Ensures that a specified combination of field values is unique across those entities. Null means no constraint.
createdAtstringOptional
DateTime the Fieldset was created
descriptionstringOptional
The description of this Fieldset.
displayNamestringOptional

The user-facing name of this fieldset.

fieldDefinitionsstringOptionalformat: "uri"
The field definitions that all schemas implementing this fieldset are required to include.
idstringOptional
itemIdPrefixstring or nullOptional
Prefix string prepended to generated entity IDs. Setting this on a fieldset replaces the entity ID prefix on all implementing schemas.
itemTypeenum or nullOptional

The entity item type that schemas implementing this Fieldset contain (e.g. DNA_SEQUENCE, AA_SEQUENCE, MIXTURE). Null when the Fieldset declares no base bioentity type.

modifiedAtstringOptional
DateTime the Fieldset was last modified
nameTemplateobject or nullOptional

Entity name template that auto-generates names for entities of implementing schemas when they are registered. Used in conjunction with availableRegistrationNamingOptions. Null means no template.

organizationobjectOptional
Organization the Fieldset is in
systemNamestringOptional

The machine-readable identifier for warehouse and API access.

Errors

400
Fieldset Get Request Bad Request Error
403
Fieldset Get Request Forbidden Error
404
Fieldset Get Request Not Found Error
429
Fieldset Get Request Too Many Requests Error
500
Fieldset Get Request Internal Server Error